Package com.fasterxml.jackson.datatype.jdk8

# Class Jdk8Deserializers

java.lang.Object
com.fasterxml.jackson.databind.deser.Deserializers.Base
com.fasterxml.jackson.datatype.jdk8.Jdk8Deserializers

All Implemented Interfaces:
  `com.fasterxml.jackson.databind.deser.Deserializers`, `Serializable`

public class Jdk8Deserializers extends com.fasterxml.jackson.databind.deser.Deserializers.Base implements Serializable

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.deser.Deserializers

`com.fasterxml.jackson.databind.deser.Deserializers.Base`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final boolean`
`_cfgReadAbsentAsNull`

## Constructor Summary

Constructors
Constructor
Description
`Jdk8Deserializers()`
`Jdk8Deserializers(boolean cfgReadAbsentAsNull)`

## Method Summary

Modifier and Type
Method
Description
`com.fasterxml.jackson.databind.JsonDeserializer<?>`
`findReferenceDeserializer(com.fasterxml.jackson.databind.type.ReferenceType refType, com.fasterxml.jackson.databind.DeserializationConfig config, com.fasterxml.jackson.databind.BeanDescription beanDesc, com.fasterxml.jackson.databind.jsontype.TypeDeserializer contentTypeDeserializer, com.fasterxml.jackson.databind.JsonDeserializer<?> contentDeserializer)`

### Methods inherited from class com.fasterxml.jackson.databind.deser.Deserializers.Base

`findArrayDeserializer, findBeanDeserializer, findCollectionDeserializer, findCollectionLikeDeserializer, findEnumDeserializer, findMapDeserializer, findMapLikeDeserializer, findTreeNodeDeserializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.fasterxml.jackson.databind.deser.Deserializers

`hasDeserializerFor`

## Field Details

### _cfgReadAbsentAsNull

protected final boolean _cfgReadAbsentAsNull

Since:
  2.14

## Constructor Details

### Jdk8Deserializers

public Jdk8Deserializers()

### Jdk8Deserializers

public Jdk8Deserializers(boolean cfgReadAbsentAsNull)

## Method Details

### findReferenceDeserializer

public com.fasterxml.jackson.databind.JsonDeserializer<?> findReferenceDeserializer(com.fasterxml.jackson.databind.type.ReferenceType refType, com.fasterxml.jackson.databind.DeserializationConfig config, com.fasterxml.jackson.databind.BeanDescription beanDesc, com.fasterxml.jackson.databind.jsontype.TypeDeserializer contentTypeDeserializer, com.fasterxml.jackson.databind.JsonDeserializer<?> contentDeserializer)

Specified by:
  `findReferenceDeserializer` in interface `com.fasterxml.jackson.databind.deser.Deserializers`
Overrides:
  `findReferenceDeserializer` in class `com.fasterxml.jackson.databind.deser.Deserializers.Base`